/*
 * @Author: zhoufei
 * @Date: 2022-05-25 14:41:48
 * @LastEditors: zhoufei
 * @LastEditTime: 2022-06-07 14:19:50
 * @FilePath: /utils/slice_test.go
 * @Description:
 *
 * Copyright (c) 2022 by zhoufei, All Rights Reserved.
 */
package utils

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestSliceIsContain(t *testing.T) {
	_, isContain := SliceIsContain([]string{"a", "b", "c"}, "a")
	assert.Equal(t, true, isContain)
}

func TestSliceDel(t *testing.T) {
	assert.Equal(t, []string{"a", "b"}, SliceDel([]string{"a", "b", "c"}, "c"))
	assert.Equal(t, []string{"a", "b", "c"}, SliceDel([]string{"a", "b", "c"}))
}
